# Uses of Interface
io.github.jdbcx.DriverExtension

Packages that use DriverExtension
Package
Description
io.github.jdbcx
io.github.jdbcx.impl
io.github.jdbcx.prql
io.github.jdbcx.script

## Uses of DriverExtension in io.github.jdbcx

Classes in io.github.jdbcx that implement DriverExtension
Modifier and Type
Class
Description
`class`
`BlackholeDriverExtension`
Methods in io.github.jdbcx that return DriverExtension
Modifier and Type
Method
Description
`protected DriverExtension`
WrappedDriver.`getDriverExtension(String url)`
Methods in io.github.jdbcx with parameters of type DriverExtension
Modifier and Type
Method
Description
`protected String`
WrappedDriver.`normalizeUrl(DriverExtension extension, String url)`
Constructors in io.github.jdbcx with parameters of type DriverExtension
Modifier
Constructor
Description
`protected`
`WrappedConnection(DriverExtension extension, Connection conn)`
`protected`
`WrappedConnection(DriverExtension extension, Connection conn, String url, Properties props)`

## Uses of DriverExtension in io.github.jdbcx.impl

Classes in io.github.jdbcx.impl that implement DriverExtension
Modifier and Type
Class
Description
`final class`
`DefaultDriverExtension`
Methods in io.github.jdbcx.impl that return DriverExtension
Modifier and Type
Method
Description
`static final DriverExtension`
DefaultDriverExtension.`getInstance()`

## Uses of DriverExtension in io.github.jdbcx.prql

Classes in io.github.jdbcx.prql that implement DriverExtension
Modifier and Type
Class
Description
`class`
`PrqlDriverExtension`

## Uses of DriverExtension in io.github.jdbcx.script

Classes in io.github.jdbcx.script that implement DriverExtension
Modifier and Type
Class
Description
`class`
`ScriptDriverExtension`